Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat5
Class CoyoteOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.coyote.tomcat5.CoyoteOutputStream

public class CoyoteOutputStream
extends javax.servlet.ServletOutputStream

Coyote implementation of the servlet output stream.

Author:
  Costin Manolache, Remy Maucherat

Field Summary
`protected OutputBuffer` | `ob`

Constructor Summary
`protected` | `CoyoteOutputStream(OutputBuffer ob)`

Method Summary
`void` | `close()`
`void` | `flush()` Will send the buffer to the client.
`void` | `print(java.lang.String s)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int i)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ob

    protected OutputBuffer ob

Constructor Detail

### CoyoteOutputStream

    protected CoyoteOutputStream(OutputBuffer ob)

Method Detail

### write

    public void write(int i)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Will send the buffer to the client.

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.